Bug 995516 - [abrt] evolution-data-server-3.8.4-1.fc19: certificate_viewer_new: Process /usr/libexec/evolution-user-prompter was killed by signal 6 (SIGABRT)
[abrt] evolution-data-server-3.8.4-1.fc19: certificate_viewer_new: Process /u...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:c7a7bf768c3a9862170287f4c4e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 11:12 EDT by kibokin
Modified: 2013-08-14 22:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: evolution-mapi-3.8.5-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.22 KB, text/plain)
2013-08-09 11:12 EDT, kibokin
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-09 11:12 EDT, kibokin
no flags Details
File: core_backtrace (5.29 KB, text/plain)
2013-08-09 11:12 EDT, kibokin
no flags Details
File: dso_list (13.20 KB, text/plain)
2013-08-09 11:12 EDT, kibokin
no flags Details
File: environ (971 bytes, text/plain)
2013-08-09 11:12 EDT, kibokin
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-09 11:12 EDT, kibokin
no flags Details
File: maps (62.39 KB, text/plain)
2013-08-09 11:12 EDT, kibokin
no flags Details
File: open_fds (835 bytes, text/plain)
2013-08-09 11:13 EDT, kibokin
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-08-09 11:13 EDT, kibokin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 705814 None None None Never

  None (edit)
Description kibokin 2013-08-09 11:12:26 EDT
Description of problem:
On every startup, evolution asks me if I want to trust a certificate (i don't know why, it started recently), then I choose "show me the certicate" or whatever the button is called in english, this makes evolution-data-server crash

Version-Release number of selected component:
evolution-data-server-3.8.4-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-user-prompter
crash_function: certificate_viewer_new
executable:     /usr/libexec/evolution-user-prompter
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Aug  8 19:24:40 s04-fedora19 abrt[1653]: Saved core dump of pid 1626 (/usr/libexec/evolution-user-prompter) to /var/tmp/abrt/ccpp-2013-08-08-19:24:40-1626 (38297600 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 certificate_viewer_new at certificate-viewer.c:578
 #6 trust_prompt_response_cb at trust-prompt-gtk.c:111
 #11 _g_closure_invoke_va at gclosure.c:840
 #14 gtk_real_button_released at gtkbutton.c:1967
 #19 gtk_button_button_release at gtkbutton.c:1802
 #20 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #21 _g_closure_invoke_va at gclosure.c:840
 #24 gtk_widget_event_internal at gtkwidget.c:6714
 #25 gtk_widget_event at gtkwidget.c:6371
 #26 propagate_event_up at gtkmain.c:2393
Comment 1 kibokin 2013-08-09 11:12:32 EDT
Created attachment 784878 [details]
File: backtrace
Comment 2 kibokin 2013-08-09 11:12:36 EDT
Created attachment 784879 [details]
File: cgroup
Comment 3 kibokin 2013-08-09 11:12:40 EDT
Created attachment 784880 [details]
File: core_backtrace
Comment 4 kibokin 2013-08-09 11:12:44 EDT
Created attachment 784881 [details]
File: dso_list
Comment 5 kibokin 2013-08-09 11:12:48 EDT
Created attachment 784882 [details]
File: environ
Comment 6 kibokin 2013-08-09 11:12:51 EDT
Created attachment 784883 [details]
File: limits
Comment 7 kibokin 2013-08-09 11:12:56 EDT
Created attachment 784884 [details]
File: maps
Comment 8 kibokin 2013-08-09 11:13:00 EDT
Created attachment 784885 [details]
File: open_fds
Comment 9 kibokin 2013-08-09 11:13:04 EDT
Created attachment 784886 [details]
File: proc_pid_status
Comment 10 Milan Crha 2013-08-12 03:11:21 EDT
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. I'll update packages with the upstream fix within the 3.8.5 release.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=705814
Comment 11 Fedora Update System 2013-08-12 04:57:10 EDT
evolution-mapi-3.8.5-1.fc19,evolution-ews-3.8.5-1.fc19,evolution-3.8.5-2.fc19,evolution-data-server-3.8.5-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/evolution-mapi-3.8.5-1.fc19,evolution-ews-3.8.5-1.fc19,evolution-3.8.5-2.fc19,evolution-data-server-3.8.5-4.fc19
Comment 12 Fedora Update System 2013-08-12 13:57:53 EDT
Package evolution-mapi-3.8.5-1.fc19, evolution-ews-3.8.5-1.fc19, evolution-3.8.5-2.fc19, evolution-data-server-3.8.5-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evolution-mapi-3.8.5-1.fc19 evolution-ews-3.8.5-1.fc19 evolution-3.8.5-2.fc19 evolution-data-server-3.8.5-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14647/evolution-mapi-3.8.5-1.fc19,evolution-ews-3.8.5-1.fc19,evolution-3.8.5-2.fc19,evolution-data-server-3.8.5-4.fc19
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-08-14 22:56:57 EDT
evolution-mapi-3.8.5-1.fc19, evolution-ews-3.8.5-1.fc19, evolution-3.8.5-2.fc19, evolution-data-server-3.8.5-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.